/*
 * @Description:5 * @Date: 2020-07-03 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-07-19 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"
unsigned char temp;
volatile unsigned char DisplayBCDBuf[6];

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_GPIOPowerOnInit();
		Drv_SysClockInit();
		SET_WDTTIME_125MS();
		Drv_RamInit();
		SET_LVR_1V9();


		// LCD demo
		Drv_LCD_Init();
//		Drv_LCD_Display_All();

		//顯示DisplauNum,即12345
       	unsigned char i;
       	u32  DisplayNum;
       	DisplayNum=12345;
       	Drv_LCD_Display_Clear();		
       	for(i=5;i>0;)
       	{
        	i--;
        	DisplayBCDBuf[i]=DisplayNum%10;	
        	DisplayNum/=10;
       	}		
		Drv_LCDDisplayUpdate();
		
	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}

	
	//主循環
	while(1)
	{
		GCC_CLRWDT();
		GCC_DELAY(1);
		/* user code */		

	}
}